Bug 74487 - redhat-config-services crashes immediately after launch
Summary: redhat-config-services crashes immediately after launch
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: redhat-config-services (Show other bugs)
(Show other bugs)
Version: 8.0
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-09-25 07:10 UTC by Ben Weintraub
Modified: 2007-04-18 16:46 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-08-01 19:39:38 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Ben Weintraub 2002-09-25 07:10:45 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20020826

Description of problem:
When running redhat-config-services from the menu or from command line, the
window will appear briefly, then dissapear.  When running from the command line,
I get this error:
Traceback (most recent call last):
  File "/usr/share/redhat-config-services/serviceconf.py", line 505, in ?
    main()
   File "/usr/share/redhat-config-services/serviceconf.py", line 492, in main
    Gui()
  File "/usr/share/redhat-config-services/serviceconf.py", line 173, in __init__
   self.populateList()
  File "/usr/share/redhat-config-services/serviceconf.py", line 226, in populateList
    self.allservices, self.dict_services =
self.ServiceMethods.get_service_list(self.editing_runlevel, idle_func)
  File "/usr/share/redhat-config-services/servicemethods.py", line 169, in
get_service_list
    list_xinetd_services = self.check_if_chkconfiged(os.listdir("/etc/xinetd.d"))
  File "/usr/share/redhat-config-services/servicemethods.py", line 63, in
check_if_chkconfiged
    configured_list = commands.getstatusoutput("LANG=en_US /sbin/chkconfig
--list " + servicename)
  File "/usr/lib/python2.2/commands.py", line 54, in getstatusoutput
    text = pipe.read()
IOError: [Errno 4] Interrupted system call

Version-Release number of selected component (if applicable):


How reproducible:
Sometimes

Steps to Reproduce:
1. Run redhat-config-services from command line

	

Additional info:

Comment 1 Daniel Walsh 2002-09-30 16:07:51 UTC
Fixed in redhat-config-services-0.8.1-13


Note You need to log in before you can comment on or make changes to this bug.